using System;
using System.Data;

/// <summary>
/// I_Certificate 的摘要说明
/// </summary>
namespace Certificate
{
    /// <summary>
    /// 公司详细信息接口
    /// </summary>
    public interface ICertificate
    {
        int Insert(TCertificate us);               //添加公司证书基本信息
        int Update(TCertificate us);               //修改公司证书会员信息
        int Delete(int ID);                        //根据ID删除公司证书信息
        DataTable GetDataTable(string strWhere);   //根据公司名称和证书名称取得公司证书基本信息
        DataTable GetDataTable(int ID);            //根据ID取得公司证书基本信息
        TCertificate GateItem(int id);             //根据ID取得公司证书基本信息
    }
}
